<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

// Ключ записи
$key = htmlspecialchars($_GET['key']);

// Определение записи
$notebook = mysql_fetch_assoc(mysql_query("SELECT * FROM `notebook` WHERE `key` = '" . $key . "' LIMIT 1"));

if (!$notebook['id'])
{
	echo '<center>
	Запомни всяк смотрящий!<br />
	Каждый уважающий себя человек,<br />
	С чувством собственного достоинства.<br />
	Никогда, не позволит себе,<br />
	читать чужие записи!<br />&copy; Александр Андрюшкин</center>';
	exit;
}

// Автор 
$ank = get_user($notebook['id_user']);

$set['title'] = $notebook['name'];
include_once '../../sys/inc/thead.php';
title();
aut();

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*" /> <a href="/user/notebook/">Блокнот</a> | <b>' . $notebook['name'] . '</b>';
echo '</div>';

echo '<div class="mess">';
echo output_text($notebook['msg']) . '<br />';

if (isset($user) && $user['id'] == $ank['id'])
{
	echo '<a href="/user/notebook/create.php?edit=' . $notebook['id'] . '"><img src="/style/icons/edit.gif" /> Редактировать</a> <a href="/user/notebook/index.php?delete=' . $notebook['id'] . '"><img src="/style/icons/delete.gif" /> Удалить</a><br />';
}
echo '</div>';

echo '<div class="nav2">';
echo 'Ссылка на запись:<br /><input value="http://' . $_SERVER['HTTP_HOST'] . '/note' . $notebook['key'] . '"><br />';
echo 'Копировать:<br /><textarea>' . esc(stripcslashes(htmlspecialchars($notebook['msg']))) . '</textarea>';
echo '</div>';

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="*" /> <a href="/user/notebook/">Блокнот</a> | <b>' . $notebook['name'] . '</b>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>